# Method: customers.certificateProvisioningProcesses.signData

- [HTTP request](https://developers.google.com/chrome/management/reference/rest/v1/customers.certificateProvisioningProcesses/signData#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.certificateProvisioningProcesses/signData#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/chrome/management/reference/rest/v1/customers.certificateProvisioningProcesses/signData#body.request_body)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.certificateProvisioningProcesses/signData#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/chrome/management/reference/rest/v1/customers.certificateProvisioningProcesses/signData#body.response_body)
- [Authorization scopes](https://developers.google.com/chrome/management/reference/rest/v1/customers.certificateProvisioningProcesses/signData#body.aspect)
- [Try it!](https://developers.google.com/chrome/management/reference/rest/v1/customers.certificateProvisioningProcesses/signData#try-it)

Requests the client that initiated a certificate provisioning process to sign data. This should only be called after `certificateProvisioningProcesses.claim` has been successfully executed.

### HTTP request

`POST https://chromemanagement.googleapis.com/v1/{name=customers/*/certificateProvisioningProcesses/*}:signData`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Resource name of the `CertificateProvisioningProcess` to return. The name pattern is given as `customers/{customer}/certificateProvisioningProcesses/{certificateProvisioningProcess}` with `{customer}` being the obfuscated customer id and `{certificateProvisioningProcess}` being the certificate provisioning process id. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "signData": string, "signatureAlgorithm": enum (`https://developers.google.com/chrome/management/reference/rest/Shared.Types/SignatureAlgorithm`) } ``` |

| Fields ||
|---|---|
| `signData` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The data that the client was asked to sign. A base64-encoded string. |
| `signatureAlgorithm` | ``enum (`https://developers.google.com/chrome/management/reference/rest/Shared.Types/SignatureAlgorithm`)`` Required. The signature algorithm that the adapter expects the client and backend components to use when processing `signData`. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/chrome/management/reference/rest/v1/customers.certificateProvisioningProcesses.operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/chrome.management.certprov.provisioningprocess`